Package Details: vcvrack-git 1.1.6.r18.ga5fc5891-5

Git Clone URL: https://aur.archlinux.org/vcvrack-git.git (read-only, click to copy)
Package Base: vcvrack-git
Description: Open-source virtual Eurorack DAW
Upstream URL: https://github.com/VCVRack/Rack
Licenses: BSD
Conflicts: vcvrack
Provides: vcvrack
Submitter: mkoskar
Maintainer: Popolon
Last Packager: Popolon
Votes: 7
Popularity: 0.000400
First Submitted: 2017-09-19 17:33
Last Updated: 2021-06-11 10:52

Pinned Comments

Popolon commented on 2021-04-18 08:19

I had the time this morning to verify. I added installation of include files adapting current vcvrack packages rules. I was able to compile vcvrack-eseries-git with this. Just noticed that I forgot 2 files, so input/output/midi din't work. that's fine now. I also updated fundamentals so it uses /opt/vcvrack/plugins dir

Latest Comments

1 2 Next › Last »

Popolon commented on 2021-06-11 10:08

Thank's for the catch. If openssl is removed, it download by itself, more recent but still outdated version of Openssl (1.1.1d, today is 1.1.1k) and curl tried 7.77 it keep 7.66 :(. I removed those dependencies that are now useless. Someone need to ask upstream to update these libs. Updated with removed PKGBUILD libs download, let the VCVRack make do it by itself (but without control sum verification).

Netboy3 commented on 2021-06-08 21:02

Why are you vendoring all those dependencies? Why not "depends" all those like any other package? Surely we don't need to grab libzib, openssl, curl etc... sources just to build VCV. Vendoring dependencies is a bad practice and a security risk. For example, your version of openssl is 2.5 years old and has at least 4 known vulnerabilities, yet you still vendor it here.

Popolon commented on 2021-04-18 08:19

I had the time this morning to verify. I added installation of include files adapting current vcvrack packages rules. I was able to compile vcvrack-eseries-git with this. Just noticed that I forgot 2 files, so input/output/midi din't work. that's fine now. I also updated fundamentals so it uses /opt/vcvrack/plugins dir

Popolon commented on 2021-03-31 23:22

This update work. git plugin I compiled last year (vcvrack-*-git) work with it. I didn't tried to compiled them again for now. At least, the last git version basic VCVRack work :).

flying-sheep commented on 2020-04-19 15:54

Hi, I just changed the gtk2 dependency to gtk3 upstream. Please update.

You need to update depends and FLAGS=... in build

nagetier commented on 2019-10-20 21:48

Hi, would be really nice if you add Fundamental plugins.

FabioLolix commented on 2019-07-04 22:50

@Popolon changed vcvrack.sh was left behind by error, corrected.

Are you referring to Fundamental plugin? I'll add it in the next days I guess

Popolon commented on 2019-07-04 06:50

sha256sum of vcvrack.sh is wrong, it should be 69736bbb5f49f9ce451c1311ec4399f4f59a86056233f151b9457116089a502d

core midi modules are missing, so can't use keyboard/instrument/controler input.

SpotlightKid commented on 2018-10-18 12:42

I get this error on compilation:

g++ -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt -Wsuggest-override -std=c++11 -I/usr/include/libdrm -I/usr/include/rtmidi -I/usr/include/alsa -I/usr/include/rtaudio -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/libffi-3.2.1/include -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/uuid -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/atk-1.0  -Iinclude -Idep/include -Idep/lib/libzip/include -DVERSION=0.6.2b -MMD -MP -g -O3 -march=nocona -ffast-math -fno-finite-math-only -Wall -Wextra -Wno-unused-parameter -DARCH_LIN -c -o build/src/main.cpp.o src/main.cpp
In file included from include/app.hpp:4,
                 from src/plugin.cpp:2:
include/widgets.hpp:6:10: fatal error: nanosvg.h: No such file or directory
 #include "nanosvg.h"
          ^~~~~~~~~~~
compilation terminated.

The nanosvg submodule is correctly checked out, so probably an include flag is missing.

Vortico commented on 2018-02-19 23:38

I have switched the GitHub repo's "default branch" from v0.5 back to master for Rack and all official plugins, so this may break pkgbuild scripts if you rely on the default branch for this AUR package. Re-build and see what happens, have not tested myself.